Summary: A small utility for safely making /tmp files.
Name: mktemp
Version: 1.5
Release: 1m
License: BSD
Group: System Environment/Base
URL: http://www.mktemp.org/mktemp/
Source: ftp://ftp.mktemp.org/pub/mktemp/%{name}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The mktemp utility takes a given file name template and overwrites a
portion of it to create a unique file name.  This allows shell scripts
and other programs to safely create and use /tmp files.

Install the mktemp package if you need to use shell scripts or other
programs which will create and use unique /tmp files.

%prep
%setup -q

%build
%configure
make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
make bindir=%{buildroot}/bin mandir=%{buildroot}/%{_mandir} install

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
/bin/mktemp
%{_mandir}/man1/mktemp.*

%changelog
* Sat Apr 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5-1m)
- update to 1.5
- delete define version

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (1.4-4k)
- yakyu-ban...

* Mon Feb 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.4-2k)
- latest version is 1.4.
  The version of tarball was wrong.

* Thu Apr  5 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.5-10k)
- backport from Jirai

* Sun Dec  3 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (1.5-11k)
- added mktemp-1.5-glibc213.patch on backport

* Wed Nov 02 2000 Kenji Yamaguchi <yamk@kondara.org>
  [mktemp-1.5-8k]
- changed nosrc.rpm -> src.rpm, again.

* Wed Nov 02 2000 Kenji Yamaguchi <yamk@kondara.org>
  [mktemp-1.5-7k]
- Based on RedHat 7, mktemp-1.5-5.src.rpm
- removed mktemp-1.5-panpi.patch (Allready fixed?)
- rebuild for Jirai.
- %setup -q
- ReKondarize.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
  [mktemp-1.5-5k]
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sat Jul  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- re-enable the -d option, because glibc provides a mkdtemp() function now
  (except for ia64)

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- FHS packaging
- fixed non root build

* Fri Apr 07 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (1.5-2).

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Fri Dec 10 1999 Shingo Akagaki <dora@kondara.org>
- fix spec file

* Sun Nov  7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Mon Mar 22 1999 Erik Troan <ewt@redhat.com>
- sync'd man page with openbsd latest, and updated it for some Linux-specific
  changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 01 1997 Erik Troan <ewt@redhat.com>
- moved to /bin

